Page MenuHomeFreeBSD

Remove redundant checks of rtm_type in route_output()
AcceptedPublic

Authored by pkelsey on Apr 8 2017, 3:24 PM.

Details

Reviewers
melifaro
ae
Summary

The RTM_CHANGE and RTM_LOCK cases were decoupled from the
RTM_GET case in r264986, so since then rtm_type is always RTM_GET in
this stretch of code.

The comment in the RADIX_MPATH section was also updated accordingly.

Diff Detail

Event Timeline

pkelsey created this revision.Apr 8 2017, 3:24 PM
ae accepted this revision.Apr 9 2017, 11:15 AM
This revision is now accepted and ready to land.Apr 9 2017, 11:15 AM
melifaro accepted this revision.Mar 31 2018, 2:55 PM